set_config.py --check can not handle if the src is directory

Bug #1563741 reported by Jeffrey Zhang on 2016-03-30
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
kolla
Medium
Jeffrey Zhang
Liberty
Medium
Jeffrey Zhang
Mitaka
Medium
Jeffrey Zhang

Bug Description

[{'group': 'compute', 'name': 'nova_libvirt'},
 {u'KOLLA_BASE_DISTRO': u'centos',
  u'KOLLA_CONFIG_STRATEGY': u'COPY_ALWAYS',
  u'KOLLA_INSTALL_METATYPE': u'mixed',
  u'KOLLA_INSTALL_TYPE': u'source',
  u'PATH': u'/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin',
  u'changed': False,
  'invocation': {'module_args': '',
   'module_complex_args': {'action': 'get_container_env',
    'name': u'nova_libvirt'},
   'module_name': u'kolla_docker'},
  'item': {'group': 'compute', 'name': 'nova_libvirt'}},
 {u'changed': False,
  u'cmd': [u'docker',
   u'exec',
   u'nova_libvirt',
   u'/usr/local/bin/kolla_set_configs',
   u'--check'],
  u'delta': u'0:00:00.256591',
  u'end': u'2016-03-30 04:49:59.609202',
  'failed': False,
  'failed_when_result': False,
  'invocation': {'module_args': u'docker exec nova_libvirt /usr/local/bin/kolla_set_configs --check',
   'module_complex_args': {},
   'module_name': u'command'},
  'item': {'group': 'compute', 'name': 'nova_libvirt'},
  u'rc': 1,
  u'start': u'2016-03-30 04:49:59.352611',
  u'stderr': u'INFO:__main__:Loading config file at /var/lib/kolla/config_files/config.json\nINFO:__main__:Validating config file\nTraceback (most recent call last):\n File "/usr/local/bin/kolla_set_configs", line 332, in <module>\n sys.exit(main())\n File "/usr/local/bin/kolla_set_configs", line 325, in main\n execute_config_check()\n File "/usr/local/bin/kolla_set_configs", line 295, in execute_config_check\n with open(source) as fp1, open(dest) as fp2:\nIOError: [Errno 21] Is a directory: u\'/var/lib/kolla/config_files/secrets\'',
  u'stdout': u'',
  'stdout_lines': [],
  u'warnings': []}]

Changed in kolla:
assignee: nobody → Jeffrey Zhang (jeffrey4l)
status: New → Confirmed
importance: Undecided → Medium
milestone: none → newton-1
Steven Dake (sdake) on 2016-06-23
Changed in kolla:
milestone: newton-1 → newton-2
Changed in kolla:
milestone: newton-2 → newton-3
Changed in kolla:
milestone: newton-3 → newton-rc1
Changed in kolla:
status: Confirmed → In Progress
Changed in kolla:
milestone: newton-rc1 → newton-rc2
Steven Dake (sdake) on 2016-10-13
Changed in kolla:
milestone: newton-rc2 → ocata-1
Changed in kolla:
milestone: ocata-1 → ocata-2
Changed in kolla:
milestone: ocata-2 → ocata-3

Reviewed: https://review.openstack.org/371669
Committed: https://git.openstack.org/cgit/openstack/kolla/commit/?id=97e17becce5dc7c2261c5e54cfdb18c02ecdcf96
Submitter: Jenkins
Branch: master

commit 97e17becce5dc7c2261c5e54cfdb18c02ecdcf96
Author: Jeffrey Zhang <email address hidden>
Date: Mon Aug 29 15:35:26 2016 +0800

    Fix the set config error

    * fix wrong handle for directory
    * refactor the code

    Closes-Bug: #1563741
    Change-Id: I83869e074cb2924f1c5b49a67e57aefef623a8b0

Changed in kolla:
status: In Progress → Fix Released

This issue was fixed in the openstack/kolla 4.0.0.0b3 development milestone.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers